## com.imcode.imcms.api
Class LuceneQuery

    java.lang.Object
      com.imcode.imcms.api.SearchQuery
          com.imcode.imcms.api.LuceneQuery

    public class LuceneQuery

extends SearchQuery

Constructor Summary
`LuceneQuery(org.apache.lucene.search.Query query)`

Method Summary

Methods inherited from class com.imcode.imcms.api.SearchQuery
`setLogged, setSort`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LuceneQuery

    public LuceneQuery(org.apache.lucene.search.Query query)